package ru.yandex.webmaster.common.metrika;

import org.joda.time.DateTime;

/**
 * @author avhaliullin
 */
public class MetrikaProblemInfo {
    private final long hostId;
    private final DateTime lastChecked;
    private final long counter;
    private final DateTime recheckRequested;

    public MetrikaProblemInfo(long hostId, DateTime lastChecked, long counter, DateTime recheckRequested) {
        this.hostId = hostId;
        this.lastChecked = lastChecked;
        this.counter = counter;
        this.recheckRequested = recheckRequested;
    }

    public DateTime getLastChecked() {
        return lastChecked;
    }

    public long getCounter() {
        return counter;
    }

    public long getHostId() {
        return hostId;
    }

    public DateTime getRecheckRequested() {
        return recheckRequested;
    }
}
